Skip to main content
POST
Plan payment allocation

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Body

application/json

Request body for planning how a payment would settle pending invoices.

input
object
required

Response

Planned invoice allocations

invoiceId
string
required

Identifier of the pending invoice.

Example:

"inv_1234567890abcdefghij"

dueDate
string<date-time>
required

When the invoice is due.

currency
string
required

ISO 4217 currency code.

Example:

"MXN"

totalAmount
integer
required

Invoice total, in minor units.

Example:

150000

amountPaid
integer
required

Amount already paid, in minor units.

Example:

0

settledAmount
integer
required

Amount the payment would settle on this invoice, in minor units.

Example:

150000